Subject: Re: Blx Feedback - LTK1221601215518X
From: Ibrahim Usmani <[email-masked]>
To: Subir Chakma <[email-masked]>
Cc: admin <[email-masked]>, Deeksha Dadu <[email-masked]>, Akhil P Walia <[email-masked]>
Date: Wed, 13 Aug 2014 14:23:49 +0530 (IST)

Dear Sir,

(May 17th) The customer has already received the shipment however he was saying that it came through without going through customs. However Neil refused that no payment is asked or would be asked on the said shipment as it is DDP. I informed that to the customer. I accept that, when Neil did not reply to my reminder email twice to him regarding the reason why  customs were asking for paperwork for clearance when the shipment was delivered, I should have escalated to L2. 

(July 2nd) When the customer came the next time on chat asking for the custom invoice I escalated to Hub and sent him the document and also informed him that he would not be billed for the custom duty and taxes as he has already paid.

When he came over chat with Iftekhar yesterday, I asked him to transfer the ticket to me so that I can follow up on this and hence sent the email to you for the guidelines how to go forward on it.

I apologise for the delay on the issue and would see to it that I do not commit this in future in such cases.

Best Regards,

Ibrahim

----- Original Message -----
From: "Subir Chakma" <[email-masked]>
To: "Ibrahim Usmani" <[email-masked]>, "Iftekhar Ahmed" <[email-masked]>
Cc: "admin" <[email-masked]>, "Deeksha Dadu" <[email-masked]>
Sent: Wednesday, August 13, 2014 12:10:43 PM GMT +05:30 Chennai, Kolkata, Mumbai, New Delhi
Subject: Blx Feedback - LTK1221601215518X

Hello Ibrahim, 

You have handled this case since beginning. Started on May 17th, today is Aug 13th, and the issue is not yet resolved. Since its about 3 months now, DHL do not show any tracking. 

Why the case is still pending? What happened to the chat? Did the Cx received? Why it took that long to resolve it? Did you contact L2 if you are unable to resolve? 

Pls explain all my points after you review the ticket again. 

And if you can not resolve it, why you do not transfer the ticket to L2. By just putting a note, and emailing thru zimbra is not the procedure. You know it well. 

@Iftekhar, I need to know why you transferred this to Ibrahim if you are not able to resolve it. Should you not transfer to L2? 

Regards 
Subir